Migrate to AndroidX

pull/3/head
Jan-Lukas Else 4 years ago
parent fc561cf3e5
commit e4443b95dd
  1. 10
      app/build.gradle
  2. 2
      app/src/main/java/telegra/ph/MainActivity.kt
  3. 4
      build.gradle
  4. 4
      gradle.properties

@ -27,13 +27,13 @@ android {
}
dependencies {
implementation 'com.android.support:appcompat-v7:28.0.0-rc02'
implementation 'com.android.support:recyclerview-v7:28.0.0-rc02'
implementation 'com.android.support:support-v13:28.0.0-rc02'
implementation 'androidx.appcompat:appcompat:1.0.0'
implementation 'androidx.recyclerview:recyclerview:1.0.0'
implementation 'androidx.legacy:legacy-support-v13:1.0.0'
implementation "org.jetbrains.kotlin:kotlin-stdlib:$kotlin_version"
implementation 'com.github.delight-im:Android-AdvancedWebView:v3.1.3'
implementation 'com.afollestad.material-dialogs:core:2.0.0-alpha09'
implementation 'com.afollestad.material-dialogs:input:2.0.0-alpha09'
implementation 'com.afollestad.material-dialogs:core:2.0.0-alpha11'
implementation 'com.afollestad.material-dialogs:input:2.0.0-alpha11'
implementation 'com.github.kittinunf.fuel:fuel:1.15.0'
implementation 'com.github.kittinunf.fuel:fuel-android:1.15.0'
}

@ -4,7 +4,7 @@ import android.content.Intent
import android.graphics.Bitmap
import android.net.Uri
import android.os.Bundle
import android.support.v7.app.AppCompatActivity
import androidx.appcompat.app.AppCompatActivity
import android.view.Menu
import android.view.MenuItem
import android.view.View

@ -1,12 +1,12 @@
buildscript {
ext.kotlin_version = '1.2.61'
ext.kotlin_version = '1.2.70'
repositories {
jcenter()
mavenCentral()
google()
}
dependencies {
classpath 'com.android.tools.build:gradle:3.1.4'
classpath 'com.android.tools.build:gradle:3.3.0-alpha11'
classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
}
}

@ -1,4 +1,6 @@
kotlin.incremental=true
org.gradle.parallel=true
org.gradle.jvmargs=-Xmx3072M
android.enableD8=true
android.enableD8=true
android.useAndroidX=true
android.enableJetifier=true
Loading…
Cancel
Save